ACAD.LSP error

Discussion in 'AutoCAD' started by solarsnot, Mar 25, 2005.

  1. solarsnot

    solarsnot Guest

    Upon opening a new drawing i get the following sequence

    Loading ACAD LISP...done.

    ACAD.LSP loaded
    ; error: no function definition: AUTOLOAD

    I don't see any autoload commands in the lisp routine. There are a few load commands however, could they be the problem? Help please.
     
    solarsnot, Mar 25, 2005
    #1
  2. solarsnot

    Tom Smith Guest

    Try commenting out lines until you find the one that causes the error, then you can track down the problem from there.
     
    Tom Smith, Mar 25, 2005
    #2
  3. solarsnot

    devitg Guest

    Of course you will found such function , thats is what the program is telling you.

    This could be some defun missed .
    Open the acad.lsp , by any text editor and search for
    autolad
    It shall be just afeter a ( , like
    (autoload xxxx yyyyy ) or just
    (autoload)

    Put a ; before any ocurrence where autoload appear.
    It shall fix the error message, not the problem.
    If you want , please attach the acad.lsp here so it can be seen.
     
    devitg, Mar 25, 2005
    #3
  4. solarsnot

    Walt Engle Guest

    Try below:

    (DEFUN S::STARTUP ()
    (defun c:zw () (command "zoom" "_w"))
    (defun c:zp () (command "zoom" "_p"))
    (defun c:st () (command "stretch" "C"))
    (defun c:ze () (command "zoom" "e"))
    (defun c:zd () (command "zoom" "d"))
    (defun c:z- () (command "zoom" ".8x"))
    (defun c:z14 () (command "zoom" "1/48"))
    (defun c:z18 () (command "zoom" "1/96xp"))


    (setq curscale (getvar "userr5"))

    ;; (load "c:/program files/dba/bmpro/bmpro")
    (if (not span12)(load "span12"));span12
    ;; (load "g:/mech/ub")
    (if (not functions)(load "functions"));functions

    (VMON)
    (prompt "\nLoading Acad.lsp...Please wait.....")
     
    Walt Engle, Mar 25, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.